# reimplemented random to get the same random numbers on different Python implementations

RAND_MAX = 0x7fff

class MyRandom:
    def __init__(self):
        self.rand_seed = 0

    def random(self):
        self.rand_seed = (self.rand_seed * 214013 + 2531011) % 4294967296
        return ((self.rand_seed // (2*RAND_MAX + 1)) & RAND_MAX) / RAND_MAX

    def uniform(self, a, b):
        return self.random()*(b - a) + a

    def seed(self, s):
        self.rand_seed = s
